/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package priklad_enum;

/**
 *
 * @author jelinek
 */
public enum Planeta {

    MERKUR (3.303e+23, 2.4397e6),
    VENUŠE (4.869e+24, 6.0518e6),
    ZEMĚ (5.976e+24, 6.37814e6),
    MARS (6.421e+23, 3.3972e6),
    JUPITER (1.9e+27,   7.1492e7),
    SATURN (5.688e+26, 6.0268e7),
    URAN (8.686e+25, 2.5559e7),
    NEPTUN (1.024e+26, 2.4746e7),
    PLUTO (1.27e+22,  1.137e6);

    private final double hmotnost;    // v kilogramech
    private final double polomer; // v metrech

    Planeta(double hmotnost, double polomer) {
        this.hmotnost = hmotnost;
        this.polomer = polomer;
    }

    private double hmotnost() { return hmotnost; }

    private double polomer()  { return polomer; }

    // univerzální gravitační konstanta (m3 kg-1 s-2)
    public static final double G = 6.67300E-11;

    double pritazlivostNaPovrchu() {
        return G * hmotnost / (polomer * polomer);
    }

    double vahaNaPovrchu(double jinaHmotnost) {
        return jinaHmotnost * pritazlivostNaPovrchu();
    }

    public static void main(String[] args) {
        double vahaNaZemi = 75;
        double hmotnost = vahaNaZemi/ZEMĚ.pritazlivostNaPovrchu();

        for (Planeta p : Planeta.values())
            System.out.printf("Vase vaha na planete %s je %f%n",
                            p, p.vahaNaPovrchu(hmotnost));
    }
}
